Subject: ten things I don't know about plants
From: [email-masked] (Mary Elyse Lucero)
Date: 4 May 1994 14:20:51 GMT
Newsgroups: bionet.plants

How about the relatively sparse information that is available on the role
plants (and associated microbes) play in biodegradation of anthropogenic
chemicals?  A brief review can be found by Anderson, Guthrie, and Walton
in Environmental Science and Technology, Volume 27, No. 13, 1993, p.
2630-2636.  Perhaps you would post your syllabus when you decide what "10
things" to include.

Mary Lucero